#
# spec file for package yast2-dbus-server
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-dbus-server
Version:        3.1.1
Release:        6.3

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

Url:            http://en.opensuse.org/Portal:YaST
# obviously
BuildRequires:  gcc-c++
BuildRequires:  libtool
# needed for all yast packages
BuildRequires:  yast2-core-devel
BuildRequires:  yast2-devtools >= 3.0.6
# testsuite
BuildRequires:  dejagnu
# autodocs
BuildRequires:  doxygen
# docbook docs
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  libxslt
# catalog: convert URIs to local filenames
BuildRequires:  sgml-skel

# for SCR DBus service
BuildRequires:  dbus-1-devel
BuildRequires:  dbus-1-x11
BuildRequires:  polkit-devel
# its tests
BuildRequires:  dbus-1-python
BuildRequires:  python-devel
# its tests
BuildRequires:  dbus-1-python
BuildRequires:  python-devel

# to run the tests
BuildRequires:  yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - DBus Server
License:        GPL-2.0+
Group:          System/YaST

%description
This package contains YaST DBus service, it provides DBus access 
to YaST components.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

# remove not needed development files
rm %{buildroot}/%{yast_plugindir}/liby2dbus.la
rm %{buildroot}/%{yast_plugindir}/liby2dbus.so

%post
/sbin/ldconfig
# This is a workaround for dbus reloading too soon. (bnc#502719#c4).
# In oS 11.2 there exists rcdbus reload, so this is for a SLE backport.
# The /dev/null is a workaround for http://bugs.freedesktop.org/show_bug.cgi?id=896#c23
# But if there is nothing to reload, don't fail.
dbus-send --print-reply --system --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig >/dev/null || true

%postun
/sbin/ldconfig
dbus-send --print-reply --system --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig >/dev/null || true

%files
%defattr(-,root,root)

%{yast_plugindir}/lib*.so.*

# DBus service
%{yast_ybindir}/SCR_dbus_server
# DBus service config
/usr/share/dbus-1/system-services/org.opensuse.yast.SCR.service
%config /etc/dbus-1/system.d/org.opensuse.yast.SCR.conf
# PolicyKit default policies
/usr/share/polkit-1/actions/org.opensuse.yast.scr.policy

# DBus namespace service
%{yast_ybindir}/yast_modules_dbus_server
/usr/share/dbus-1/system-services/org.opensuse.YaST.modules.service
%config /etc/dbus-1/system.d/org.opensuse.YaST.modules.conf
/usr/share/polkit-1/actions/org.opensuse.yast.module-manager.policy

%doc %{yast_docdir}

%changelog
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Fri Dec  7 2012 lslezak@suse.cz
- do not log the results of method calls by default (use y2debug),
  the results might contain sensitive data (like passwords, keys,
  registration codes...) (bnc#790274)
- 2.23.0
* Tue Mar 20 2012 aschnell@suse.de
- fixed for gcc 4.7
- 2.22.1
* Tue Dec 20 2011 lslezak@suse.cz
- use new polkit-1 instead of obsoleted PolicyKit (bnc#708995)
- 2.22.0
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Jun 29 2011 lslezak@suse.cz
- properly distinguish between received empty map and empty list
  (bnc#588593)
- reenable tests during build
- 2.21.0
* Mon Feb  7 2011 lslezak@suse.cz
- temporarily disable tests (see bnc#645381)
* Mon Oct 11 2010 mvidner@suse.cz
- Build fix: python-2.7 moved unittest to python-devel
* Thu Jul 15 2010 lslezak@suse.cz
- set PATH environment to the default if it's not set (bnc#617442)
- 2.20.0
* Wed May 19 2010 mvidner@suse.cz
- Better fix: dbus_bool_t instead of int (bnc#606712).
- Fixed retrieving boolean values on big-endian archs (bnc#606712).
- Enabled the already existing test for this bug.
- 2.18.2
* Fri Sep  4 2009 mvidner@suse.cz
- don't use ldconfig as a shell in postun
* Wed Sep  2 2009 mvidner@suse.cz
- Call rcdbus reload in %%post(un) (bnc#502719).
- 2.18.1
* Mon Jul 27 2009 lslezak@suse.cz
- Initial version (2.18.0)
